# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:           perl-Test-Uses
Version:        0.01
Release:        4.1
Summary:        Test sources for presence/absence of particular modules
Source:         http://search.cpan.org/CPAN/authors/id/S/SN/SNKWATT/Test-Uses-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Test-Uses
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(Test::Tester)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(PPI) >= 1.205
BuildRequires:  perl(Test::Builder)
Requires:       perl(PPI) >= 1.205
Requires:       perl(Test::Builder)

%description
This is a test helper module, so it is designed to be used in cooperation
with other test modules, such as Test::Simple and Test::More.

The module helps you check through a bunch of code for references to
modules you either (a) want to use, or (b) want to avoid. The module reads
and parses the file (using PPI, and, therefore, dependencies of the file
are not checked). the syntactic check has some advantages. Because no
actual code is loaded, it is safe to use as a test.

One of the best reasons for using this, is to handle code where your
production environment may limit use of modules. This test allows you to
avoid modules that you know are going to cause problems, by adding test
cases which fail when people write code that uses them.
Because pragmas are invoked similarly, you can also detect use of "bad"
pragmas.

%prep
%setup -q -n "Test-Uses-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%__sed -i 's/\r$//' *.txt

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc changes.txt README
%dir %{perl_vendorlib}/Test
%{perl_vendorlib}/Test/Uses.pm
%dir %{perl_vendorarch}/auto/Test
%{perl_vendorarch}/auto/Test/Uses
%doc %{perl_man3dir}/Test::Uses.%{perl_man3ext}%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 29 2010 pascal.bleser@opensuse.org
- initial package (0.01)
